Mentions légales du service

Skip to content
Snippets Groups Projects
Commit eafd6c17 authored by PRUVOST Florent's avatar PRUVOST Florent
Browse files

- simplification in test.sh

- fix a cppcheck option in analysis.sh.
- narrow the focus for sonarqube coverage (gpucublas, gpuhipblas)
parent c716a654
No related branches found
No related tags found
1 merge request!501Update docker environment, use shared runners, and plafrim for cuda/rocm
#!/usr/bin/env bash
fatal() {
echo "$0: error occurred, exit"
exit 1
}
set -e
set -x
cd build-$VERSION
source ../.gitlab-ci-env.sh $CHAM_CI_ENV_ARG || fatal
CTESTCOMMAND=`echo "ctest --output-on-failure --no-compress-output $TESTS_RESTRICTION -T Test --output-junit ../${LOGNAME}-junit.xml"`
$CTESTCOMMAND || fatal
source ../.gitlab-ci-env.sh $CHAM_CI_ENV_ARG
ctest --output-on-failure --no-compress-output $TESTS_RESTRICTION --output-junit ../${LOGNAME}-junit.xml
if [[ "$SYSTEM" == "linux" ]]; then
# clang is used on macosx and it is not compatible with MORSE_ENABLE_COVERAGE=ON
# so that we can only make the coverage report on the linux runner with gcc
......
......@@ -23,7 +23,8 @@
# - consider generated files in ${BUILDDIR}
# - exclude base *z* files to avoid duplication
# - exclude cblas.h and lapacke-.h because not really part of chameleon and make cppcheck analysis too long
set -e
set -x
if [ $# -gt 0 ]
then
BUILDDIR=$1
......@@ -37,7 +38,7 @@ $TOOLSDIR/find_sources.sh
export UNDEFINITIONS="-UCHAMELEON_USE_OPENCL -UWIN32 -UWIN64 -U_MSC_EXTENSIONS -U_MSC_VER -U__SUNPRO_C -U__SUNPRO_CC -U__sun -Usun -U__cplusplus"
# run cppcheck analysis
CPPCHECK_OPT=" -v -f --language=c --platform=unix64 --enable=all --xml --xml-version=2 --suppress=missingInclude ${UNDEFINITIONS}"
CPPCHECK_OPT=" -v -f --language=c --platform=unix64 --enable=all --xml --xml-version=2 --suppress=missingIncludeSystem ${UNDEFINITIONS}"
cppcheck $CPPCHECK_OPT --file-list=./filelist_none.txt 2> chameleon_cppcheck.xml
cppcheck $CPPCHECK_OPT -DPRECISION_s -UPRECISION_d -UPRECISION_c -UPRECISION_z --file-list=./filelist_s.txt 2>> chameleon_cppcheck.xml
cppcheck $CPPCHECK_OPT -DPRECISION_d -UPRECISION_s -UPRECISION_c -UPRECISION_z --file-list=./filelist_d.txt 2>> chameleon_cppcheck.xml
......
......@@ -12,7 +12,7 @@
#
#set -x
SRCDIR_TO_ANALYZE="build-openmp/runtime/openmp build-parsec/runtime/parsec build-quark/runtime/quark build-starpu build compute control coreblas example include runtime testing"
SRCDIR_TO_ANALYZE="build-openmp/runtime/openmp build-parsec/runtime/parsec build-quark/runtime/quark build-starpu compute control coreblas example include runtime testing"
echo $PWD
rm -f filelist.txt
......
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment